# Uses of Class
javax.crypto.NoSuchPaddingException

Packages that use NoSuchPaddingException
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

- ## Uses of NoSuchPaddingException in javax.crypto

  Methods in javax.crypto that throw NoSuchPaddingException
  Modifier and Type
  Method
  Description
  `protected abstract void`
  CipherSpi.`engineSetPadding(String padding)`
  Sets the padding mechanism of this cipher.
  `static final Cipher`
  Cipher.`getInstance(String transformation)`
  Returns a `Cipher` object that implements the specified transformation.
  `static final Cipher`
  Cipher.`getInstance(String transformation, String provider)`
  Returns a `Cipher` object that implements the specified transformation.
  `static final Cipher`
  Cipher.`getInstance(String transformation, Provider provider)`
  Returns a `Cipher` object that implements the specified transformation.